include(header.m4)
include(loglevel.m4)

option "writer" w
#~~~~~~~~~~~~~~~~
"select stream writer"
string typestr="name"
default="alsa (file if alsa is unsupported)"
optional
multiple
details="
	May be give multiple times. The same writer may be specified
	more than once.
"

text "
       The following options are only necessary for raw audio. When
       playing wav files this information is obtained from the
       wave header.
"

option "channels" c
#~~~~~~~~~~~~~~~~~~
"specify number of channels"
int typestr = "num"
default = "2"
optional

option "sample-rate" s
#~~~~~~~~~~~~~~~~~~~~~
"force given sample rate"
int typestr = "num"
default = "44100"
optional

option "sample-format" f
#~~~~~~~~~~~~~~~~~~~~~~~
"specify sample format"
# This must match the enum sample_format of para.h
values = "S8", "U8", "S16_LE", "S16_BE", "U16_LE", "U16_BE" enum
default = "S16_LE"
optional

