/*
 * Copyright (C) 2006-2012 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file stdout.h Writing to stdout via buffer trees. */

/**
 * The task structure used for writing to stdout.
 *
 * This is used by para_recv, para_filter and para_client.
 */
struct stdout_task {
	/** The task structure used by the scheduler. */
	struct task task;
	/** Stdout is always a leaf node in the buffer tree. */
	struct btr_node *btrn;
};

void stdout_set_defaults(struct stdout_task *sot);
